Debian install.sh bug : here is the solution

Hello !

I was talking about strange Debian 5 issue when installing virtualmin GPL with install.sh ( http://www.virtualmin.com/node/10145 ).
apt-get tell me that webmin package doesn’t exist.

Today I think I found THE solution :

In install.sh, you make a test on Debian’s version :

case $os_version in
3.1)
repos=“virtualmin-sarge”
;;
4.0)
repos=“virtualmin-etch”
;;
5.0)
repos=“virtualmin-lenny virtualmin-universal”
;;
esac

But an up-to-date Debian Lenny is now at 5.0.2 !!!
So I change the switch/case from 5.0 to 5.0.2 and it works very good.

Can you confirm and update “officialy” the install.sh ?

Thx,

Julien